Index: trunk/NEMOGCM/NEMO/TOP_SRC/C14b/par_c14b.F90
===================================================================
--- trunk/NEMOGCM/NEMO/TOP_SRC/C14b/par_c14b.F90	(revision 2524)
+++ trunk/NEMOGCM/NEMO/TOP_SRC/C14b/par_c14b.F90	(revision 2528)
@@ -6,7 +6,7 @@
    !! History :   2.0  !  2008-12  (C. Ethe, G. Madec)  revised architecture
    !!----------------------------------------------------------------------
-   !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
-   !! $Id: par_cfc.F90 1152 2008-06-26 14:11:13Z rblod $ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! NEMO/TOP 3.3 , NEMO Consortium (2010)
+   !! $Id$ 
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
    USE par_lobster, ONLY : jp_lobster      !: number of tracers in LOBSTER
Index: trunk/NEMOGCM/NEMO/TOP_SRC/C14b/trcctl_c14b.F90
===================================================================
--- trunk/NEMOGCM/NEMO/TOP_SRC/C14b/trcctl_c14b.F90	(revision 2524)
+++ 	(revision )
@@ -1,80 +1,0 @@
-MODULE trcctl_c14b
-   !!======================================================================
-   !!                         ***  trcctl_c14b.F90  ***
-   !! TOP :                Control of C14 chemical model
-   !!======================================================================
-   !!----------------------------------------------------------------------
-   !! History :   1.0  !  2005-10 (C. Ethe) assign a parameter to name individual tracers
-   !!----------------------------------------------------------------------
-
-#if defined key_c14b
-
-   USE oce_trc
-   USE trc
-
-
-   IMPLICIT NONE
-   PRIVATE
-
-   PUBLIC trc_ctl_c14b      ! called by ???
-
-   !!----------------------------------------------------------------------
-   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
-   !! $Id: trcctl_cfc.F90 1146 2008-06-25 11:42:56Z rblod $ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
-
-CONTAINS
-
-   SUBROUTINE trc_ctl_c14b
-      !!----------------------------------------------------------------------
-      !!                     ***  ROUTINE trc_ctl_c14b  ***
-      !!
-      !! ** Purpose :   control the cpp options, namelist and files 
-      !!----------------------------------------------------------------------
-      IF(lwp) THEN
-          WRITE(numout,*) ' C14 bomb Model '
-          WRITE(numout,*) ' '
-      ENDIF
-
-      ! Check number of tracers
-      ! -----------------------   
-      IF( jp_c14b > 1) CALL ctl_stop( ' Change jp_c14b to be equal 1 in par_c14b.F90' )
-
-      ! Check tracer names
-      ! ------------------
-      IF ( ctrcnm(jpc14) /= 'C14B' ) THEN
-           ctrcnm(jpc14)  = 'C14B'
-           ctrcnl(jpc14)  = 'Bomb C14 concentration'
-      ENDIF
-
-      IF(lwp) THEN
-         CALL ctl_warn( ' we force tracer names' )
-         WRITE(numout,*) ' tracer nb: ',jpc14,' name = ',ctrcnm(jpc14), ctrcnl(jpc14)
-         WRITE(numout,*) ' '
-      ENDIF
-
-      ! Check tracer units
-      ! ------------------
-      IF( ctrcun(jpc14) /= 'ration' ) THEN
-          ctrcun(jpc14) = 'ration'
-          IF(lwp) THEN
-             CALL ctl_warn( ' we force tracer unit' )
-             WRITE(numout,*) ' tracer  ',ctrcnm(jpc14), 'UNIT= ',ctrcun(jpc14)
-             WRITE(numout,*) ' '
-          ENDIF
-       ENDIF
-      !
-   END SUBROUTINE trc_ctl_c14b
-
-#else
-   !!----------------------------------------------------------------------
-   !!  Empty module :                                         No Bomb c14
-   !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE trc_ctl_c14b                      ! Dummy routine
-   END SUBROUTINE trc_ctl_c14b
-#endif
-
-   !!======================================================================
-END MODULE trcctl_c14b
Index: trunk/NEMOGCM/NEMO/TOP_SRC/C14b/trcini_c14b.F90
===================================================================
--- trunk/NEMOGCM/NEMO/TOP_SRC/C14b/trcini_c14b.F90	(revision 2524)
+++ trunk/NEMOGCM/NEMO/TOP_SRC/C14b/trcini_c14b.F90	(revision 2528)
@@ -41,7 +41,7 @@
 
    !!---------------------------------------------------------------------
-   !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
-   !! $Id: trcini_cfc.F90 1146 2008-06-25 11:42:56Z rblod $ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! NEMO/TOP 3.3 , NEMO Consortium (2010)
+   !! $Id$ 
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -59,6 +59,9 @@
       !!----------------------------------------------------------------------
 
-      IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) ' trc_ini_cfc: initialisation of CFC chemical model'
+      !  Control consitency
+      CALL trc_ctl_c14b
+
+      IF(lwp) WRITE(numout,*) ''
+      IF(lwp) WRITE(numout,*) ' trc_ini_c14b: initialisation of Bomb C14 chemical model'
       IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~'
 
@@ -162,4 +165,45 @@
    END SUBROUTINE trc_ini_c14b
    
+   SUBROUTINE trc_ctl_c14b
+      !!----------------------------------------------------------------------
+      !!                     ***  ROUTINE trc_ctl_c14b  ***
+      !!
+      !! ** Purpose :   control the cpp options, namelist and files 
+      !!----------------------------------------------------------------------
+
+      IF(lwp) THEN
+          WRITE(numout,*) ' C14 bomb Model '
+          WRITE(numout,*) ' '
+      ENDIF
+
+      ! Check number of tracers
+      ! -----------------------   
+      IF( jp_c14b > 1) CALL ctl_stop( ' Change jp_c14b to be equal 1 in par_c14b.F90' )
+
+      ! Check tracer names
+      ! ------------------
+      IF ( ctrcnm(jpc14) /= 'C14B' ) THEN
+           ctrcnm(jpc14)  = 'C14B'
+           ctrcnl(jpc14)  = 'Bomb C14 concentration'
+      ENDIF
+
+      IF(lwp) THEN
+         CALL ctl_warn( ' we force tracer names' )
+         WRITE(numout,*) ' tracer nb: ',jpc14,' name = ',ctrcnm(jpc14), ctrcnl(jpc14)
+         WRITE(numout,*) ' '
+      ENDIF
+
+      ! Check tracer units
+      ! ------------------
+      IF( ctrcun(jpc14) /= 'ration' ) THEN
+          ctrcun(jpc14) = 'ration'
+          IF(lwp) THEN
+             CALL ctl_warn( ' we force tracer unit' )
+             WRITE(numout,*) ' tracer  ',ctrcnm(jpc14), 'UNIT= ',ctrcun(jpc14)
+             WRITE(numout,*) ' '
+          ENDIF
+       ENDIF
+      !
+   END SUBROUTINE trc_ctl_c14b
 #else
    !!----------------------------------------------------------------------
Index: trunk/NEMOGCM/NEMO/TOP_SRC/C14b/trclsm_c14b.F90
===================================================================
--- trunk/NEMOGCM/NEMO/TOP_SRC/C14b/trclsm_c14b.F90	(revision 2524)
+++ 	(revision )
@@ -1,157 +1,0 @@
-MODULE trclsm_c14b
-   !!======================================================================
-   !!                         ***  MODULE trclsm_c14b  ***
-   !! TOP :   initialisation of some run parameters for C14 chemical model
-   !!======================================================================
-   !! History :   2.0  !  2007-12  (C. Ethe, G. Madec) from trclsm.cfc.h90
-   !!----------------------------------------------------------------------
-#if defined key_c14b
-   !!----------------------------------------------------------------------
-   !!   'key_c14b'                                         C14 bomb tracer
-   !!----------------------------------------------------------------------
-   !! trc_lsm_c14b      : C14 model initialisation
-   !!----------------------------------------------------------------------
-   USE oce_trc         ! Ocean variables
-   USE par_trc         ! TOP parameters
-   USE trc             ! TOP variables
-   USE trcsms_c14b     ! C14b specific variable
-   USE in_out_manager  ! I/O manager
-
-   IMPLICIT NONE
-   PRIVATE
-
-   PUBLIC   trc_lsm_c14b   ! called by trclsm.F90 module
-
-   !!----------------------------------------------------------------------
-   !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
-   !! $Id: trclsm_cfc.F90 1146 2008-06-25 11:42:56Z rblod $ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
-
-CONTAINS
-
-   SUBROUTINE trc_lsm_c14b
-      !!-------------------------------------------------------------------
-      !!                  ***  ROUTINE trc_lsm_c14b  ***
-      !!                 
-      !! ** Purpose :   Definition some run parameter for C14 model
-      !!
-      !! ** Method  :   Read the namc14 namelist and check the parameter 
-      !!       values called at the first timestep (nit000)
-      !!
-      !! ** input   :   Namelist namelist_c14b
-      !!----------------------------------------------------------------------
-      INTEGER ::   numnatb
-
-#if defined key_trc_diaadd && ! defined key_iomput
-      ! definition of additional diagnostic as a structure
-      INTEGER ::   jl, jn
-      TYPE DIAG
-         CHARACTER(len = 20)  :: snamedia   !: short name
-         CHARACTER(len = 80 ) :: lnamedia   !: long name
-         CHARACTER(len = 20 ) :: unitdia    !: unit
-      END TYPE DIAG
-
-      TYPE(DIAG) , DIMENSION(jp_c14b_2d) :: c14dia2d
-      TYPE(DIAG) , DIMENSION(jp_c14b_3d) :: c14dia3d
-#endif
-      !!
-      NAMELIST/namc14date/ ndate_beg_b, nyear_res_b
-#if defined key_trc_diaadd && ! defined key_iomput
-      NAMELIST/namc14dia/nwritedia, c14dia2d, c14dia3d     ! additional diagnostics
-#endif
-      !!-------------------------------------------------------------------
-
-      ndate_beg_b = 650101            ! default namelist value
-      nyear_res_b = 1955
-
-      !                             ! Open namelist file
-      CALL ctl_opn( numnatb, 'namelist_c14b', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
-         
-      READ( numnatb , namc14date )     ! read namelist
-
-      IF(lwp) THEN                  ! control print
-         WRITE(numout,*)
-         WRITE(numout,*) ' trc_lsm: Read namdates, namelist for C14 chemical model'
-         WRITE(numout,*) ' ~~~~~~~'
-         WRITE(numout,*) '    initial calendar date (aammjj) for C14  ndate_beg_b = ', ndate_beg_b
-         WRITE(numout,*) '    restoring time constant (year)          nyear_res_b = ', nyear_res_b
-      ENDIF
-      nyear_beg_b = ndate_beg_b / 10000
-      IF(lwp) WRITE(numout,*) '    initial year (aa)                  nyear_beg_b = ', nyear_beg_b
-      !
-#if defined key_trc_diaadd && ! defined key_iomput
-
-      ! Namelist namc14dia
-      ! -------------------
-      nwritedia = 10                   ! default values
-
-      DO jl = 1, jp_c14b_2d
-         jn = jp_c14b0_2d + jl - 1
-         WRITE(ctrc2d(jn),'("2D_",I1)') jn                      ! short name
-         WRITE(ctrc2l(jn),'("2D DIAGNOSTIC NUMBER ",I2)') jn    ! long name
-         ctrc2u(jn) = ' '                                       ! units
-      END DO
-      !                                 ! 3D output arrays
-      DO jl = 1, jp_c14b_3d
-         jn = jp_c14b0_3d + jl - 1
-         WRITE(ctrc3d(jn),'("3D_",I1)') jn                      ! short name
-         WRITE(ctrc3l(jn),'("3D DIAGNOSTIC NUMBER ",I2)') jn    ! long name
-         ctrc3u(jn) = ' '                                       ! units
-      END DO
-
-      REWIND( numnatb )               ! read natrtd
-      READ  ( numnatb, namc14dia )
-
-      DO jl = 1, jp_c14b_2d
-         jn = jp_c14b0_2d + jl - 1
-         ctrc2d(jn) = c14dia2d(jl)%snamedia
-         ctrc2l(jn) = c14dia2d(jl)%lnamedia
-         ctrc2u(jn) = c14dia2d(jl)%unitdia
-      END DO
-
-      DO jl = 1, jp_c14b_3d
-         jn = jp_c14b0_3d + jl - 1
-         ctrc3d(jn) = c14dia3d(jl)%snamedia
-         ctrc3l(jn) = c14dia3d(jl)%lnamedia
-         ctrc3u(jn) = c14dia3d(jl)%unitdia
-      END DO
-
-      IF(lwp) THEN                   ! control print
-         WRITE(numout,*)
-         WRITE(numout,*) ' Namelist : natadd'
-         WRITE(numout,*) '    frequency of outputs for additional arrays nwritedia = ', nwritedia
-         DO jl = 1, jp_c14b_3d
-            jn = jp_c14b0_3d + jl - 1
-            WRITE(numout,*) '   3d output field No : ',jn
-            WRITE(numout,*) '   short name         : ', TRIM(ctrc3d(jn))
-            WRITE(numout,*) '   long name          : ', TRIM(ctrc3l(jn))
-            WRITE(numout,*) '   unit               : ', TRIM(ctrc3u(jn))
-            WRITE(numout,*) ' '
-         END DO
-
-         DO jl = 1, jp_c14b_2d
-            jn = jp_c14b0_2d + jl - 1
-            WRITE(numout,*) '   2d output field No : ',jn
-            WRITE(numout,*) '   short name         : ', TRIM(ctrc2d(jn))
-            WRITE(numout,*) '   long name          : ', TRIM(ctrc2l(jn))
-            WRITE(numout,*) '   unit               : ', TRIM(ctrc2u(jn))
-            WRITE(numout,*) ' '
-         END DO
-      ENDIF
-
-#endif
-
-   END SUBROUTINE trc_lsm_c14b
-   
-#else
-   !!----------------------------------------------------------------------
-   !!  Dummy module :                                                No 14C
-   !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE trc_lsm_c14b                      ! Empty routine
-   END  SUBROUTINE  trc_lsm_c14b
-#endif  
-
-   !!======================================================================
-END MODULE trclsm_c14b
Index: trunk/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90
===================================================================
--- trunk/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90	(revision 2528)
+++ trunk/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90	(revision 2528)
@@ -0,0 +1,157 @@
+MODULE trcnam_c14b
+   !!======================================================================
+   !!                         ***  MODULE trcnam_c14b  ***
+   !! TOP :   initialisation of some run parameters for C14 chemical model
+   !!======================================================================
+   !! History :   2.0  !  2007-12  (C. Ethe, G. Madec) from trcnam.cfc.h90
+   !!----------------------------------------------------------------------
+#if defined key_c14b
+   !!----------------------------------------------------------------------
+   !!   'key_c14b'                                         C14 bomb tracer
+   !!----------------------------------------------------------------------
+   !! trc_nam_c14b      : C14 model initialisation
+   !!----------------------------------------------------------------------
+   USE oce_trc         ! Ocean variables
+   USE par_trc         ! TOP parameters
+   USE trc             ! TOP variables
+   USE trcsms_c14b     ! C14b specific variable
+   USE in_out_manager  ! I/O manager
+
+   IMPLICIT NONE
+   PRIVATE
+
+   PUBLIC   trc_nam_c14b   ! called by trcnam.F90 module
+
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 3.3 , NEMO Consortium (2010)
+   !! $Id$ 
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
+
+CONTAINS
+
+   SUBROUTINE trc_nam_c14b
+      !!-------------------------------------------------------------------
+      !!                  ***  ROUTINE trc_nam_c14b  ***
+      !!                 
+      !! ** Purpose :   Definition some run parameter for C14 model
+      !!
+      !! ** Method  :   Read the namc14 namelist and check the parameter 
+      !!       values called at the first timestep (nit000)
+      !!
+      !! ** input   :   Namelist namelist_c14b
+      !!----------------------------------------------------------------------
+      INTEGER ::   numnatb
+
+#if defined key_diatrc && ! defined key_iomput
+      ! definition of additional diagnostic as a structure
+      INTEGER ::   jl, jn
+      TYPE DIAG
+         CHARACTER(len = 20)  :: snamedia   !: short name
+         CHARACTER(len = 80 ) :: lnamedia   !: long name
+         CHARACTER(len = 20 ) :: unitdia    !: unit
+      END TYPE DIAG
+
+      TYPE(DIAG) , DIMENSION(jp_c14b_2d) :: c14dia2d
+      TYPE(DIAG) , DIMENSION(jp_c14b_3d) :: c14dia3d
+#endif
+      !!
+      NAMELIST/namc14date/ ndate_beg_b, nyear_res_b
+#if defined key_diatrc && ! defined key_iomput
+      NAMELIST/namc14dia/nwritedia, c14dia2d, c14dia3d     ! additional diagnostics
+#endif
+      !!-------------------------------------------------------------------
+
+      ndate_beg_b = 650101            ! default namelist value
+      nyear_res_b = 1955
+
+      !                             ! Open namelist file
+      CALL ctl_opn( numnatb, 'namelist_c14b', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
+         
+      READ( numnatb , namc14date )     ! read namelist
+
+      IF(lwp) THEN                  ! control print
+         WRITE(numout,*)
+         WRITE(numout,*) ' trc_nam: Read namdates, namelist for C14 chemical model'
+         WRITE(numout,*) ' ~~~~~~~'
+         WRITE(numout,*) '    initial calendar date (aammjj) for C14  ndate_beg_b = ', ndate_beg_b
+         WRITE(numout,*) '    restoring time constant (year)          nyear_res_b = ', nyear_res_b
+      ENDIF
+      nyear_beg_b = ndate_beg_b / 10000
+      IF(lwp) WRITE(numout,*) '    initial year (aa)                  nyear_beg_b = ', nyear_beg_b
+      !
+#if defined key_diatrc && ! defined key_iomput
+
+      ! Namelist namc14dia
+      ! -------------------
+      nwritedia = 10                   ! default values
+
+      DO jl = 1, jp_c14b_2d
+         jn = jp_c14b0_2d + jl - 1
+         WRITE(ctrc2d(jn),'("2D_",I1)') jn                      ! short name
+         WRITE(ctrc2l(jn),'("2D DIAGNOSTIC NUMBER ",I2)') jn    ! long name
+         ctrc2u(jn) = ' '                                       ! units
+      END DO
+      !                                 ! 3D output arrays
+      DO jl = 1, jp_c14b_3d
+         jn = jp_c14b0_3d + jl - 1
+         WRITE(ctrc3d(jn),'("3D_",I1)') jn                      ! short name
+         WRITE(ctrc3l(jn),'("3D DIAGNOSTIC NUMBER ",I2)') jn    ! long name
+         ctrc3u(jn) = ' '                                       ! units
+      END DO
+
+      REWIND( numnatb )               ! read natrtd
+      READ  ( numnatb, namc14dia )
+
+      DO jl = 1, jp_c14b_2d
+         jn = jp_c14b0_2d + jl - 1
+         ctrc2d(jn) = c14dia2d(jl)%snamedia
+         ctrc2l(jn) = c14dia2d(jl)%lnamedia
+         ctrc2u(jn) = c14dia2d(jl)%unitdia
+      END DO
+
+      DO jl = 1, jp_c14b_3d
+         jn = jp_c14b0_3d + jl - 1
+         ctrc3d(jn) = c14dia3d(jl)%snamedia
+         ctrc3l(jn) = c14dia3d(jl)%lnamedia
+         ctrc3u(jn) = c14dia3d(jl)%unitdia
+      END DO
+
+      IF(lwp) THEN                   ! control print
+         WRITE(numout,*)
+         WRITE(numout,*) ' Namelist : natadd'
+         WRITE(numout,*) '    frequency of outputs for additional arrays nwritedia = ', nwritedia
+         DO jl = 1, jp_c14b_3d
+            jn = jp_c14b0_3d + jl - 1
+            WRITE(numout,*) '   3d output field No : ',jn
+            WRITE(numout,*) '   short name         : ', TRIM(ctrc3d(jn))
+            WRITE(numout,*) '   long name          : ', TRIM(ctrc3l(jn))
+            WRITE(numout,*) '   unit               : ', TRIM(ctrc3u(jn))
+            WRITE(numout,*) ' '
+         END DO
+
+         DO jl = 1, jp_c14b_2d
+            jn = jp_c14b0_2d + jl - 1
+            WRITE(numout,*) '   2d output field No : ',jn
+            WRITE(numout,*) '   short name         : ', TRIM(ctrc2d(jn))
+            WRITE(numout,*) '   long name          : ', TRIM(ctrc2l(jn))
+            WRITE(numout,*) '   unit               : ', TRIM(ctrc2u(jn))
+            WRITE(numout,*) ' '
+         END DO
+      ENDIF
+
+#endif
+
+   END SUBROUTINE trc_nam_c14b
+   
+#else
+   !!----------------------------------------------------------------------
+   !!  Dummy module :                                                No 14C
+   !!----------------------------------------------------------------------
+CONTAINS
+   SUBROUTINE trc_nam_c14b                      ! Empty routine
+   END  SUBROUTINE  trc_nam_c14b
+#endif  
+
+   !!======================================================================
+END MODULE trcnam_c14b
Index: trunk/NEMOGCM/NEMO/TOP_SRC/C14b/trcrst_c14b.F90
===================================================================
--- trunk/NEMOGCM/NEMO/TOP_SRC/C14b/trcrst_c14b.F90	(revision 2524)
+++ trunk/NEMOGCM/NEMO/TOP_SRC/C14b/trcrst_c14b.F90	(revision 2528)
@@ -43,7 +43,5 @@
       IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~~~~'
       
-      DO jn = jp_c14b0, jp_c14b1
-         CALL iom_get( knum, jpdom_autoglo, 'qint_'//ctrcnm(jn), qint_c14(:,:,jn) ) 
-      END DO
+      CALL iom_get( knum, jpdom_autoglo, 'qint_c14', qint_c14 ) 
 
    END SUBROUTINE trc_rst_read_c14b
@@ -59,5 +57,4 @@
       INTEGER, INTENT(in)  :: kitrst  ! time step of restart write
       INTEGER, INTENT(in)  :: knum    ! unit of the restart file
-      INTEGER              :: jn      ! dummy loop indices
       !!----------------------------------------------------------------------
 
@@ -66,7 +63,5 @@
       IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~~~~'
 
-      DO jn = jp_c14b0, jp_c14b1
-         CALL iom_rstput( kt, kitrst, kum, 'qint_'//ctrcnm(jn), qint_c14(:,:,jn) )
-      END DO
+      CALL iom_rstput( kt, kitrst, knum, 'qint_c14', qint_c14 )
 
    END SUBROUTINE trc_rst_wri_c14b
Index: trunk/NEMOGCM/NEMO/TOP_SRC/C14b/trcsms_c14b.F90
===================================================================
--- trunk/NEMOGCM/NEMO/TOP_SRC/C14b/trcsms_c14b.F90	(revision 2524)
+++ trunk/NEMOGCM/NEMO/TOP_SRC/C14b/trcsms_c14b.F90	(revision 2528)
@@ -17,6 +17,6 @@
    USE par_trc      ! TOP parameters
    USE trc          ! TOP variables
-   USE trdmld_trc_oce
-   USE trdmld_trc
+   USE trdmod_oce
+   USE trdmod_trc
    USE iom
 
@@ -126,10 +126,10 @@
        zpv  ,        &      !: piston velocity 
        zdemi, ztra
-#if defined key_trc_dia3d  && defined key_iomput
+#if defined key_diatrc  && defined key_iomput
       REAL(wp), DIMENSION(jpi,jpj,jpk) :: zw3d
 #endif
       !!----------------------------------------------------------------------
 
-      IF( kt == nittrc000 )  THEN
+      IF( kt == nit000 )  THEN
          ! Computation of decay coeffcient
          zdemi   = 5730.
@@ -234,7 +234,7 @@
             !  Computation of solubility  
             IF (tmask(ji,jj,1) >  0.) THEN
-               ztp  = ( tn(ji,jj,1) + 273.16 ) * 0.01
+               ztp  = ( tsn(ji,jj,1,jp_tem) + 273.16 ) * 0.01
                zsk  = 0.023517 + ztp * ( -0.023656 + 0.0047036 * ztp )
-               zsol = EXP( -60.2409 + 93.4517 / ztp  + 23.3585 * LOG( ztp ) + zsk * sn(ji,jj,1) )
+               zsol = EXP( -60.2409 + 93.4517 / ztp  + 23.3585 * LOG( ztp ) + zsk * tsn(ji,jj,1,jp_sal) )
                ! convert solubilities [mol/(l * atm)] -> [mol/(m^3 * ppm)]
                zsol = zsol * 1.0e-03
@@ -247,5 +247,5 @@
 
             ! Computes the Schmidt number of CO2 in seawater
-            zt   = tn(ji,jj,1)
+            zt   = tsn(ji,jj,1,jp_tem)
             zsch = 2073.1 + zt * ( -125.62 + zt * (3.6276 - 0.043219 * zt ) )
 
@@ -259,5 +259,5 @@
             qtr_c14(ji,jj) = -zpv * zsol * zpco2at                                   &
                  &                       * ( trb(ji,jj,1,jpc14) - zatmbc14(ji,jj) )  &
-#if defined key_off_degrad
+#if defined key_degrad
                  &                       * facvol(ji,jj,1)                           &
 #endif
@@ -270,5 +270,5 @@
             qint_c14(ji,jj) = qint_c14(ji,jj) + qtr_c14(ji,jj) * rdt
 
-# if defined key_trc_diaadd && ! defined key_iomput
+# if defined key_diatrc && ! defined key_iomput
             ! Save 2D diagnostics
             trc2d(ji,jj,jp_c14b0_2d    ) = qtr_c14 (ji,jj)
@@ -282,5 +282,5 @@
          DO jj = 1, jpj
             DO ji = 1, jpi
-#if ! defined key_off_degrad
+#if ! defined key_degrad
                ztra = trn(ji,jj,jk,jpc14) * xaccum
 #else
@@ -288,5 +288,5 @@
 #endif
                tra(ji,jj,jk,jpc14) = tra(ji,jj,jk,jpc14) - ztra / rdt
-#if defined key_trc_dia3d
+#if defined key_diatrc
                ! Save 3D diagnostics
 # if ! defined key_iomput
@@ -300,13 +300,13 @@
       END DO
 
-#if defined key_trc_diaadd  && defined key_iomput
+#if defined key_diatrc  && defined key_iomput
       CALL iom_put( "qtrC14b"  , qtr_c14  )
       CALL iom_put( "qintC14b" , qint_c14 )
 #endif
-#if defined key_trc_dia3d  && defined key_iomput
+#if defined key_diatrc  && defined key_iomput
       CALL iom_put( "fdecay" , zw3d )
 #endif
       IF( l_trdtrc ) THEN
-         CALL trd_mod_trc( tra(:,:,:,jpc14), jpc14, jptrc_trd_sms, kt )   ! save trends
+         CALL trd_mod_trc( tra(:,:,:,jpc14), jpc14, jptra_trd_sms, kt )   ! save trends
       END IF
 
